Application: gvSIG desktop - gvSIG bugs #89

Bad use of PropertyChangeSupport in AbstractDocument

12/16/2011 06:45 PM - Jose Manuel Vivé Arnal

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Jorge Piera

Category: Application

Target version: 2.0.0-alpha3

Severity: Add-on version: 2.0.0
gvSIG version: 2.0.0 Add-on build: 2042
gvSIG build: 2042 Add-on resolve version2.0.0
Operative System: Add-on resolve build: 2043
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: unknown

Description

The class org.gvsig.app.project.documents.AbstractDocument has a bad use of the PropertyChangeSupport:

- lock and unlock don't raises any event

- Classes which extend of it cannot raise any event (propertyChangeSupport instance is private)
- Bad old values of owner and comment are wrong (it's the new one!)

History

#1 - 12/26/2011 01:35 PM - Jorge Piera
- Category set to Application

- Status changed from New to Fixed

- Assignee set to Jorge Piera

- Add-on version set to 2.0.0

- Add-on build set to 2042

- Add-on resolve version set to 2.0.0

- Add-on resolve build set to 2043

Fixed

- The propertyChangeSupport attribute is now protected.

- The events for the owner and comment properties raises the old values.

- lock and unlock raise an event.
#2 - 01/13/2012 02:52 PM - Joaquin del Cerro Murciano

- Target version set to 2.0.0-alpha3

#3 - 02/26/2014 12:36 PM - Alvaro Anguix
- Status changed from Fixed to Closed
